Browse Source

Sync with portage [Tue Dec 15 08:27:39 MSK 2020].

master 1828
Calculate Linux 2 years ago
parent
commit
7f8a6663b6
  1. BIN
      Manifest.files.gz
  2. BIN
      app-antivirus/Manifest.gz
  3. 1
      app-antivirus/fangfrisch/Manifest
  4. 69
      app-antivirus/fangfrisch/fangfrisch-1.3.0.ebuild
  5. BIN
      app-crypt/Manifest.gz
  6. 2
      app-crypt/acme-sh/Manifest
  7. 0
      app-crypt/acme-sh/acme-sh-2.8.8.ebuild
  8. 2
      app-crypt/glep63-check/glep63-check-9.ebuild
  9. BIN
      app-emulation/Manifest.gz
  10. 4
      app-emulation/open-vm-tools/open-vm-tools-11.2.0_p16938113-r1.ebuild
  11. 96
      app-emulation/virtualbox-modules/files/virtualbox-modules-6.1.16-linux-5.10-r0drv-memobj-fix-r0.patch
  12. 4
      app-emulation/virtualbox-modules/virtualbox-modules-6.1.16-r1.ebuild
  13. BIN
      app-misc/Manifest.gz
  14. 2
      app-misc/ca-certificates/Manifest
  15. 197
      app-misc/ca-certificates/ca-certificates-20200601.3.60.ebuild
  16. 1
      app-misc/piper/Manifest
  17. 20
      app-misc/piper/metadata.xml
  18. 52
      app-misc/piper/piper-0.5.1.ebuild
  19. BIN
      app-text/Manifest.gz
  20. 1
      app-text/bdf2psf/Manifest
  21. 32
      app-text/bdf2psf/bdf2psf-1.104.ebuild
  22. 16
      app-text/ghostscript-gpl/files/ghostscript-gpl-9.53.3-fix-ps2epsi.patch
  23. 8
      app-text/ghostscript-gpl/ghostscript-gpl-9.53.3-r4.ebuild
  24. 2
      app-text/ronn/ronn-0.7.3-r3.ebuild
  25. 4
      app-text/scdoc/Manifest
  26. 44
      app-text/scdoc/scdoc-1.10.0.ebuild
  27. 0
      app-text/scdoc/scdoc-1.11.1.ebuild
  28. 44
      app-text/scdoc/scdoc-1.9.3-r1.ebuild
  29. BIN
      dev-cpp/Manifest.gz
  30. 1
      dev-cpp/eigen/Manifest
  31. 107
      dev-cpp/eigen/eigen-3.3.9.ebuild
  32. 20
      dev-cpp/eigen/files/eigen-3.3.9-disable-cholmod_support.patch
  33. 17
      dev-cpp/eigen/files/eigen-3.3.9-max-macro.patch
  34. BIN
      dev-embedded/Manifest.gz
  35. 2
      dev-embedded/rpi-eeprom/Manifest
  36. 93
      dev-embedded/rpi-eeprom/rpi-eeprom-10.3_p1.ebuild
  37. BIN
      dev-haskell/Manifest.gz
  38. 15
      dev-haskell/comonad/comonad-5.0.6.ebuild
  39. 18
      dev-haskell/comonad/metadata.xml
  40. 9
      dev-haskell/wai-app-static/wai-app-static-3.1.7.2-r1.ebuild
  41. 2
      dev-haskell/wai-extra/Manifest
  42. 8
      dev-haskell/wai-extra/wai-extra-3.1.4.1.ebuild
  43. 2
      dev-haskell/yesod-core/Manifest
  44. 0
      dev-haskell/yesod-core/yesod-core-1.6.18.8.ebuild
  45. BIN
      dev-java/Manifest.gz
  46. 14
      dev-java/antlr/antlr-3.5.2-r1.ebuild
  47. BIN
      dev-lang/Manifest.gz
  48. 2
      dev-lang/php/php-7.2.33.ebuild
  49. 2
      dev-lang/php/php-7.2.34.ebuild
  50. 2
      dev-lang/php/php-7.3.21.ebuild
  51. 2
      dev-lang/php/php-7.3.23.ebuild
  52. 2
      dev-lang/php/php-7.4.11.ebuild
  53. 2
      dev-lang/php/php-7.4.9.ebuild
  54. 8
      dev-lang/python/Manifest
  55. 369
      dev-lang/python/python-2.7.18-r5.ebuild
  56. 331
      dev-lang/python/python-3.10.0_alpha3.ebuild
  57. 365
      dev-lang/python/python-3.6.12-r1.ebuild
  58. 351
      dev-lang/python/python-3.7.9-r1.ebuild
  59. 355
      dev-lang/python/python-3.8.6-r1.ebuild
  60. 355
      dev-lang/python/python-3.8.7_rc1.ebuild
  61. 331
      dev-lang/python/python-3.9.0-r1.ebuild
  62. 331
      dev-lang/python/python-3.9.1.ebuild
  63. 2
      dev-lang/spidermonkey/Manifest
  64. 1
      dev-lang/spidermonkey/metadata.xml
  65. 418
      dev-lang/spidermonkey/spidermonkey-78.6.0.ebuild
  66. BIN
      dev-libs/Manifest.gz
  67. 2
      dev-libs/leatherman/leatherman-1.12.3.ebuild
  68. 2
      dev-libs/libratbag/Manifest
  69. 13
      dev-libs/libratbag/files/ratbagd.init
  70. 90
      dev-libs/libratbag/libratbag-0.15.ebuild
  71. 40
      dev-libs/libratbag/libratbag-0.9.ebuild
  72. 14
      dev-libs/libratbag/metadata.xml
  73. 1
      dev-libs/nss/Manifest
  74. 358
      dev-libs/nss/nss-3.60.ebuild
  75. 2
      dev-libs/pugixml/Manifest
  76. 4
      dev-libs/pugixml/pugixml-1.11.2.ebuild
  77. 2
      dev-libs/simdjson/Manifest
  78. 0
      dev-libs/simdjson/simdjson-0.7.1.ebuild
  79. BIN
      dev-lisp/Manifest.gz
  80. 2
      dev-lisp/ecls/ecls-20.4.24.ebuild
  81. 31
      dev-lua/LuaBitOp/LuaBitOp-1.0.2-r102.ebuild
  82. BIN
      dev-lua/Manifest.gz
  83. 26
      dev-lua/luaexpat/luaexpat-1.3.0-r102.ebuild
  84. 26
      dev-lua/luaexpat/luaexpat-1.3.3-r102.ebuild
  85. 4
      dev-lua/luasec/luasec-0.9-r102.ebuild
  86. 27
      dev-lua/luasocket/luasocket-3.0_rc1_p20200328-r1.ebuild
  87. 24
      dev-lua/luasocket/luasocket-3.0_rc1_p20200328-r102.ebuild
  88. 2
      dev-php/File_Iterator/File_Iterator-1.3.4.ebuild
  89. 2
      dev-php/File_Iterator/File_Iterator-1.4.2.ebuild
  90. BIN
      dev-php/Manifest.gz
  91. 2
      dev-php/PEAR-Archive_Tar/PEAR-Archive_Tar-1.4.11.ebuild
  92. 2
      dev-php/PEAR-Auth_SASL/PEAR-Auth_SASL-1.1.0.ebuild
  93. 2
      dev-php/PEAR-Cache/PEAR-Cache-1.5.6-r2.ebuild
  94. 2
      dev-php/PEAR-Cache_Lite/PEAR-Cache_Lite-1.8.2.ebuild
  95. 2
      dev-php/PEAR-Console_CommandLine/PEAR-Console_CommandLine-1.2.2.ebuild
  96. 2
      dev-php/PEAR-Console_Getopt/PEAR-Console_Getopt-1.4.1-r1.ebuild
  97. 2
      dev-php/PEAR-Console_Table/PEAR-Console_Table-1.3.0-r1.ebuild
  98. 2
      dev-php/PEAR-Crypt_GPG/PEAR-Crypt_GPG-1.6.2.ebuild
  99. 2
      dev-php/PEAR-DB/PEAR-DB-1.9.2-r1.ebuild
  100. 2
      dev-php/PEAR-Date/PEAR-Date-1.5.0_alpha4-r1.ebuild

BIN
Manifest.files.gz

BIN
app-antivirus/Manifest.gz

1
app-antivirus/fangfrisch/Manifest

@ -1 +1,2 @@
DIST fangfrisch-1.2.0.tar.gz 113088 BLAKE2B 9fb5f4b838e6337128c9e988f5749864cadacb74c9e3006f29cf8b976592af88c00ff5359cd70e4d6901e24cfc01b061861b7b1a563a82d66b2d71c970627c26 SHA512 6f6c0cfc4d840f99186c83e6109c6234ff5bfb44e19bcd3309056347392e46da56e17106259508864b05397d39ea92500ab6863b50d55efc790d88b59f88ee3b
DIST fangfrisch-1.3.0.tar.gz 114361 BLAKE2B eca124f02f814d2915c4dbba45b6e4dc620e250730a32b34d3f5f5eaa33945e697d2d887f29251f1f8a3b1813476a54092091235a786e84695a3bc1cadebad28 SHA512 9c138737908a02efa5c9b4c6792a31e2a4908f8ab27e8cecab78612f812ab151afef75a405f47695779a949485aa88a3a5830efd02344ec334e6f37425cffe49

69
app-antivirus/fangfrisch/fangfrisch-1.3.0.ebuild

@ -0,0 +1,69 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DISTUTILS_USE_SETUPTOOLS=rdepend
PYTHON_COMPAT=( python3_{7,8,9} )
inherit distutils-r1 readme.gentoo-r1
DESCRIPTION="Update and verify unofficial Clam Anti-Virus signatures"
HOMEPAGE="https://github.com/rseichter/fangfrisch https://pypi.org/project/fangfrisch/"
SRC_URI="https://github.com/rseichter/fangfrisch/archive/${PV}.tar.gz -> ${P}.tar.gz"
MY_CONF="/etc/${PN}.conf"
MY_DBDIR="/var/lib/${PN}"
DISABLE_AUTOFORMATTING=1
DOC_CONTENTS="See https://rseichter.github.io/fangfrisch/ for the official
documentation.
### Fresh installations:
Modify ${MY_CONF} according to your preferences.
Assuming you place the database into ${MY_DBDIR}
(recommended), execute the following commands in a root shell:
mkdir -m 0770 ${MY_DBDIR}
chgrp clamav ${MY_DBDIR}
sudo -u clamav -- fangfrisch -c ${MY_CONF} initdb
You can now enable /etc/cron.d/${PN} for periodic updates.
### Alternative: Updating from release 1.0.1:
Either create a fresh database or manually delete all existing
database tables, then run the initdb command as shown above."
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
DEPEND=">=dev-python/requests-2.22.0[${PYTHON_USEDEP}]
>=dev-python/sqlalchemy-1.3.11[${PYTHON_USEDEP}]"
RDEPEND="${DEPEND}"
python_prepare_all() {
sed -i -e '/SQLAlchemy/d' setup.py || die
# Due to the nature of Fangfrisch, most tests require network
# connectivity. Upstream CI reports show that the tests are
# successful, so instead of a pick-and-choose approach, the
# complete tests directory is removed in this ebuild.
if [ -d tests ]; then
rm -r tests || die
fi
distutils-r1_python_prepare_all
}
python_install_all() {
insinto /etc
doins "${FILESDIR}/${PN}.conf"
insinto /etc/cron.d
newins "${FILESDIR}/${PN}.cron" ${PN}
distutils-r1_python_install_all
readme.gentoo_create_doc
}
pkg_postinst() {
FORCE_PRINT_ELOG=1 readme.gentoo_print_elog
}

BIN
app-crypt/Manifest.gz

2
app-crypt/acme-sh/Manifest

@ -1 +1 @@
DIST acme.sh-2.8.7.tar.gz 206475 BLAKE2B ac1d51efac6301210ffd8b6e5ff6ed490cbf80e7dd154ec7a2ad0b6a2dd08ac73a325e332192214c964a873ba7c6f01a43a2157963d7edec9e0ec45b47e5b689 SHA512 45599f50a4a45b6fdea58d7a5759e4eb5f8e33acc53d60b264c15662e6bdc1e353af610845056fc67b127242c4ad15eaaf60a2113f2cb0245d4e4861dac6e1c3
DIST acme.sh-2.8.8.tar.gz 218582 BLAKE2B bcd2fbc0ff984d7bbcf4e0ee4c1f08f868ebc4b31a5d217587cdeb5810b8991698de52dd082219194c762ef245324e981eb2a044b213e2713c0d12370be1c19b SHA512 cf601965cd5542dbd11668330d0a4e428e89ccc3af92d4d04ea3936c8a31979a5c00aa8e18a31fde07812242dddcebbfdbc06f1c29260b917dfa19f88d12fd72

0
app-crypt/acme-sh/acme-sh-2.8.7.ebuild → app-crypt/acme-sh/acme-sh-2.8.8.ebuild

2
app-crypt/glep63-check/glep63-check-9.ebuild

@ -3,7 +3,7 @@
EAPI=6
PYTHON_COMPAT=( python3_{6,7,8} )
PYTHON_COMPAT=( python3_{6,7,8,9} )
DISTUTILS_USE_SETUPTOOLS=no
inherit distutils-r1

BIN
app-emulation/Manifest.gz

4
app-emulation/open-vm-tools/open-vm-tools-11.2.0_p16938113.ebuild → app-emulation/open-vm-tools/open-vm-tools-11.2.0_p16938113-r1.ebuild

@ -3,7 +3,7 @@
EAPI=7
inherit autotools linux-info pam systemd toolchain-funcs
inherit autotools linux-info pam systemd
DESCRIPTION="Opensourced tools for VMware guests"
HOMEPAGE="https://github.com/vmware/open-vm-tools"
@ -39,7 +39,7 @@ RDEPEND="
x11-libs/libXtst
x11-libs/libSM
x11-libs/libXcomposite
x11-libs/gdk-pixbuf:2
x11-libs/gdk-pixbuf-xlib
x11-libs/gtk+:3
gtkmm? (
dev-cpp/gtkmm:3.0

96
app-emulation/virtualbox-modules/files/virtualbox-modules-6.1.16-linux-5.10-r0drv-memobj-fix-r0.patch

@ -0,0 +1,96 @@
Index: vboxdrv/r0drv/linux/memobj-r0drv-linux.c
===================================================================
--- a/vboxdrv/r0drv/linux/memobj-r0drv-linux.c
+++ b/vboxdrv/r0drv/linux/memobj-r0drv-linux.c
@@ -56,9 +56,12 @@
* Whether we use alloc_vm_area (3.2+) for executable memory.
* This is a must for 5.8+, but we enable it all the way back to 3.2.x for
* better W^R compliance (fExecutable flag). */
-#if RTLNX_VER_MIN(3,2,0) || defined(DOXYGEN_RUNNING)
+#if RTLNX_VER_RANGE(3,2,0, 5,10,0) || defined(DOXYGEN_RUNNING)
# define IPRT_USE_ALLOC_VM_AREA_FOR_EXEC
#endif
+#if RTLNX_VER_MIN(5,10,0) || defined(DOXYGEN_RUNNING)
+# define IPRT_USE_APPLY_TO_PAGE_RANGE_FOR_EXEC
+#endif
/*
* 2.6.29+ kernels don't work with remap_pfn_range() anymore because
@@ -502,7 +505,43 @@
}
+#ifdef IPRT_USE_APPLY_TO_PAGE_RANGE_FOR_EXEC
/**
+ * User data passed to the apply_to_page_range() callback.
+ */
+typedef struct LNXAPPLYPGRANGE
+{
+ /** Pointer to the memory object. */
+ PRTR0MEMOBJLNX pMemLnx;
+ /** The page protection flags to apply. */
+ pgprot_t fPg;
+} LNXAPPLYPGRANGE;
+/** Pointer to the user data. */
+typedef LNXAPPLYPGRANGE *PLNXAPPLYPGRANGE;
+/** Pointer to the const user data. */
+typedef const LNXAPPLYPGRANGE *PCLNXAPPLYPGRANGE;
+
+/**
+ * Callback called in apply_to_page_range().
+ *
+ * @returns Linux status code.
+ * @param pPte Pointer to the page table entry for the given address.
+ * @param uAddr The address to apply the new protection to.
+ * @param pvUser The opaque user data.
+ */
+static DECLCALLBACK(int) rtR0MemObjLinuxApplyPageRange(pte_t *pPte, unsigned long uAddr, void *pvUser)
+{
+ PCLNXAPPLYPGRANGE pArgs = (PCLNXAPPLYPGRANGE)pvUser;
+ PRTR0MEMOBJLNX pMemLnx = pArgs->pMemLnx;
+ uint32_t idxPg = (uAddr - (unsigned long)pMemLnx->Core.pv) >> PAGE_SHIFT;
+
+ set_pte(pPte, mk_pte(pMemLnx->apPages[idxPg], pArgs->fPg));
+ return 0;
+}
+#endif
+
+
+/**
* Maps the allocation into ring-0.
*
* This will update the RTR0MEMOBJLNX::Core.pv and RTR0MEMOBJ::fMappedToRing0 members.
@@ -584,6 +623,11 @@
else
# endif
{
+# if defined(IPRT_USE_APPLY_TO_PAGE_RANGE_FOR_EXEC)
+ if (fExecutable)
+ pgprot_val(fPg) |= _PAGE_NX; /* Uses RTR0MemObjProtect to clear NX when memory ready, W^X fashion. */
+# endif
+
# ifdef VM_MAP
pMemLnx->Core.pv = vmap(&pMemLnx->apPages[0], pMemLnx->cPages, VM_MAP, fPg);
# else
@@ -1851,6 +1895,21 @@
preempt_enable();
return VINF_SUCCESS;
}
+# elif defined(IPRT_USE_APPLY_TO_PAGE_RANGE_FOR_EXEC)
+ PRTR0MEMOBJLNX pMemLnx = (PRTR0MEMOBJLNX)pMem;
+ if ( pMemLnx->fExecutable
+ && pMemLnx->fMappedToRing0)
+ {
+ LNXAPPLYPGRANGE Args;
+ Args.pMemLnx = pMemLnx;
+ Args.fPg = rtR0MemObjLinuxConvertProt(fProt, true /*fKernel*/);
+ int rcLnx = apply_to_page_range(current->active_mm, (unsigned long)pMemLnx->Core.pv + offSub, cbSub,
+ rtR0MemObjLinuxApplyPageRange, (void *)&Args);
+ if (rcLnx)
+ return VERR_NOT_SUPPORTED;
+
+ return VINF_SUCCESS;
+ }
# endif
NOREF(pMem);

4
app-emulation/virtualbox-modules/virtualbox-modules-6.1.16-r1.ebuild

@ -29,6 +29,10 @@ MODULESD_VBOXDRV_ENABLED="yes"
MODULESD_VBOXNETADP_ENABLED="no"
MODULESD_VBOXNETFLT_ENABLED="no"
PATCHES=(
"${FILESDIR}/${P}-linux-5.10-r0drv-memobj-fix-r0.patch" #751328
)
pkg_setup() {
linux-mod_pkg_setup
BUILD_PARAMS="CC=$(tc-getBUILD_CC) KERN_DIR=${KV_DIR} KERN_VER=${KV_FULL} O=${KV_OUT_DIR} V=1 KBUILD_VERBOSE=1"

BIN
app-misc/Manifest.gz

2
app-misc/ca-certificates/Manifest

@ -1,4 +1,6 @@
DIST ca-certificates_20200601.tar.xz 245668 BLAKE2B 1249782dba046f52832d365e4770e02ed24c0b50bff4ceec5e5af932c807eb8120f8e3bc7858503e74789ecb2da577509819f3ffdf9bd1ec5cc22d61f2194ad5 SHA512 7bfd3122430be0a46bd10dcb0e0664561d1e0b2656b9f37677d89f71a1dcb0e668c25ffe08412888125fa9a53ee8245a4b3fc1004c419a159766665b1241113c
DIST nss-3.53.tar.gz 81178428 BLAKE2B 5e67b02bf0ba9390311d77ee4d7b86fd7339bd4f7d830b32563799e4eef126143f0b76b2933ad14c5c5d3da6cb3fa0e670aca7ce9654316123abadce25a728ec SHA512 280edf24356b764584200bff949af4a7f88514ee8ac80bf5348a9a844a8b1eb263e9aa1d772644bd8bb1bd195c12b6cc173280cfc88cd97e56562e1c40e71503
DIST nss-3.59.tar.gz 82141516 BLAKE2B 74959b14ec42b4628dfc3365af00420cdbd41d202541e9379f6a4448c4496b76307af48c9ec405b370f8770327ce56742b4382f8cd49724b42732ce5cc5b0779 SHA512 8963e846f2ff7222457ae59f042672cf4e44f7752807226f46c215a772fd1cbd65d0ce634da4afb698eabd4eb1c1e78146cc2a089339ada11da03d259c609a38
DIST nss-3.60.tar.gz 82035831 BLAKE2B fffc0e26d58d4625be1b8b0123f248a0c7994b18868ece534ba4d60131dd4897d075d7b2dba672c31ccd333e0c18ea384e2aa2f495c23b5430d6d10b91922873 SHA512 6463b2da28b5d9f1f20d45f77a3179e2b93c874af5742c7fc51eb7c44cef93270acacf79174dc63905f227256cbcee23a36f98f1cfed10dd5c56ffc0a76e2695
DIST nss-cacert-class1-class3-r1.patch 22503 BLAKE2B d2ba6b5c3675484dab5b6709478101a9dadc0baded3dbf891dcd04e5eb912079b87cdd17f893a0f539a2a53fb05357c6dd309fb624facac3b021c82c7424a91f SHA512 68906d2442986ad13ebf9cd97c26fac34af3efd5cfaacb3d7824adad966349ad796c9cec8dec44c46d5c571df88ce83aea02ce82e71da337aa4e1aeef58eda66
DIST nss-cacert-class1-class3.patch 22950 BLAKE2B 9d5e60df5f161a3c27c41e5a9419440a54f888eda454e3cde5ebe626d4075b65cf9938b5144d0fb022377f4bd415bff5e5c67d104409860aa9391b3eb8872c68 SHA512 a5aa740bf110a3f0262e3f1ef2fc739ac2b44f042e220039d48aee8e97cd764d5c10718220364f4098aba955882bd02cadb5481512388971a8290312f88a7df0

197
app-misc/ca-certificates/ca-certificates-20200601.3.60.ebuild

@ -0,0 +1,197 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# The Debian ca-certificates package merely takes the CA database as it exists
# in the nss package and repackages it for use by openssl.
#
# The issue with using the compiled debs directly is two fold:
# - they do not update frequently enough for us to rely on them
# - they pull the CA database from nss tip of tree rather than the release
#
# So we take the Debian source tools and combine them with the latest nss
# release to produce (largely) the same end result. The difference is that
# now we know our cert database is kept in sync with nss and, if need be,
# can be sync with nss tip of tree more frequently to respond to bugs.
# When triaging bugs from users, here's some handy tips:
# - To see what cert is hitting errors, use openssl:
# openssl s_client -port 443 -CApath /etc/ssl/certs/ -host $HOSTNAME
# Focus on the errors written to stderr.
#
# - Look at the upstream log as to why certs were added/removed:
# https://hg.mozilla.org/projects/nss/log/tip/lib/ckfw/builtins/certdata.txt
#
# - If people want to add/remove certs, tell them to file w/mozilla:
# https://bugzilla.mozilla.org/enter_bug.cgi?product=NSS&component=CA%20Certificates&version=trunk
EAPI=7
PYTHON_COMPAT=( python3_{6..9} )
inherit python-any-r1
if [[ ${PV} == *.* ]] ; then
# Compile from source ourselves.
PRECOMPILED=false
DEB_VER=$(ver_cut 1)
NSS_VER=$(ver_cut 2-)
RTM_NAME="NSS_${NSS_VER//./_}_RTM"
else
# Debian precompiled version.
PRECOMPILED=true
inherit unpacker
fi
DESCRIPTION="Common CA Certificates PEM files"
HOMEPAGE="https://packages.debian.org/sid/ca-certificates"
NMU_PR=""
if ${PRECOMPILED} ; then
SRC_URI="mirror://debian/pool/main/c/${PN}/${PN}_${PV}${NMU_PR:++nmu}${NMU_PR}_all.deb"
else
SRC_URI="mirror://debian/pool/main/c/${PN}/${PN}_${DEB_VER}${NMU_PR:++nmu}${NMU_PR}.tar.xz
https://archive.mozilla.org/pub/security/nss/releases/${RTM_NAME}/src/nss-${NSS_VER}.tar.gz
cacert? (
https://dev.gentoo.org/~whissi/dist/ca-certificates/nss-cacert-class1-class3-r1.patch
)"
fi
LICENSE="MPL-1.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
IUSE=""
${PRECOMPILED} || IUSE+=" cacert"
# c_rehash: we run `c_rehash`
# debianutils: we run `run-parts`
CDEPEND="app-misc/c_rehash
sys-apps/debianutils"
BDEPEND="${CDEPEND}"
if ! ${PRECOMPILED} ; then
BDEPEND+=" ${PYTHON_DEPS}"
fi
DEPEND=""
if ${PRECOMPILED} ; then
DEPEND+=" !<sys-apps/portage-2.1.10.41"
fi
RDEPEND="${CDEPEND}
${DEPEND}"
S=${WORKDIR}
pkg_setup() {
# For the conversion to having it in CONFIG_PROTECT_MASK,
# we need to tell users about it once manually first.
[[ -f "${EPREFIX}"/etc/env.d/98ca-certificates ]] \
|| ewarn "You should run update-ca-certificates manually after etc-update"
}
src_unpack() {
if ! ${PRECOMPILED} ; then
default
# Initial 20200601 deb release had bad naming inside the debian source tarball.
DEB_S="${WORKDIR}/${PN}-${DEB_VER}"
DEB_BAD_S="${WORKDIR}/work"
if [[ -d "${DEB_BAD_S}" ]] && [[ ! -d "${DEB_S}" ]] ; then
mv "${DEB_BAD_S}" "${DEB_S}"
fi
fi
# Do all the work in the image subdir to avoid conflicting with source
# dirs in ${WORKDIR}. Need to perform everything in the offset #381937
mkdir -p "image/${EPREFIX}" || die
cd "image/${EPREFIX}" || die
${PRECOMPILED} && unpacker_src_unpack
}
src_prepare() {
cd "image/${EPREFIX}" || die
if ! ${PRECOMPILED} ; then
mkdir -p usr/sbin || die
cp -p "${S}"/${PN}-${DEB_VER}/sbin/update-ca-certificates \
usr/sbin/ || die
if use cacert ; then
pushd "${S}"/nss-${NSS_VER} >/dev/null || die
eapply "${DISTDIR}"/nss-cacert-class1-class3-r1.patch
popd >/dev/null || die
fi
fi
default
eapply -p2 "${FILESDIR}"/${PN}-20150426-root.patch
local relp=$(echo "${EPREFIX}" | sed -e 's:[^/]\+:..:g')
sed -i \
-e '/="$ROOT/s:ROOT:ROOT'"${EPREFIX}"':' \
-e '/RELPATH="\.\./s:"$:'"${relp}"'":' \
-e 's/openssl rehash/c_rehash/' \
usr/sbin/update-ca-certificates || die
}
src_compile() {
cd "image/${EPREFIX}" || die
if ! ${PRECOMPILED} ; then
python_setup
local d="${S}/${PN}-${DEB_VER}/mozilla" c="usr/share/${PN}"
# Grab the database from the nss sources.
cp "${S}"/nss-${NSS_VER}/nss/lib/ckfw/builtins/{certdata.txt,nssckbi.h} "${d}" || die
emake -C "${d}"
# Now move the files to the same places that the precompiled would.
mkdir -p etc/ssl/certs \
etc/ca-certificates/update.d \
"${c}"/mozilla \
|| die
if use cacert ; then
mkdir -p "${c}"/cacert.org || die
mv "${d}"/CA_Cert_Signing_Authority.crt \
"${c}"/cacert.org/cacert.org_class1.crt || die
mv "${d}"/CAcert_Class_3_Root.crt \
"${c}"/cacert.org/cacert.org_class3.crt || die
fi
mv "${d}"/*.crt "${c}"/mozilla/ || die
else
mv usr/share/doc/{ca-certificates,${PF}} || die
fi
(
echo "# Automatically generated by ${CATEGORY}/${PF}"
echo "# $(date -u)"
echo "# Do not edit."
cd "${c}" || die
find * -name '*.crt' | LC_ALL=C sort
) > etc/ca-certificates.conf
sh usr/sbin/update-ca-certificates --root "${S}/image" || die
}
src_install() {
cp -pPR image/* "${D}"/ || die
if ! ${PRECOMPILED} ; then
cd ${PN}-${DEB_VER} || die
doman sbin/*.8
dodoc debian/README.* examples/ca-certificates-local/README
fi
echo 'CONFIG_PROTECT_MASK="/etc/ca-certificates.conf"' > 98ca-certificates
doenvd 98ca-certificates
}
pkg_postinst() {
if [[ -d "${EROOT}/usr/local/share/ca-certificates" ]] ; then
# if the user has local certs, we need to rebuild again
# to include their stuff in the db.
# However it's too overzealous when the user has custom certs in place.
# --fresh is to clean up dangling symlinks
"${EROOT}"/usr/sbin/update-ca-certificates --root "${ROOT}"
fi
if [[ -n "$(find -L "${EROOT}"/etc/ssl/certs/ -type l)" ]] ; then
ewarn "Removing the following broken symlinks:"
ewarn "$(find -L "${EROOT}"/etc/ssl/certs/ -type l -printf '%p -> %l\n' -delete)"
fi
}

1
app-misc/piper/Manifest

@ -0,0 +1 @@
DIST piper-0.5.1.tar.gz 234944 BLAKE2B 1df33ca6e2d0dae95b34f8e3a98c6829a8f113ae68fb60980ff40374090b9272f86d69103c33fe0a4e1b0ac21a84724e7cabccca4ce8dd23d02f6d56e67d072b SHA512 13368521a9c32b2dc3300b129ed3bb07a6204623fa750f8f75ca31d2a3b60f43ae5f5066ef755814960d4890a489bdfd21b0e1b8f456b3445e0ba35ac06bc877

20
app-misc/piper/metadata.xml

@ -0,0 +1,20 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>alex@1stleg.com</email>
<name>Alex Barker</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<maintainer type="person">
<email>polynomial-c@gentoo.org</email>
<name>Lars Wendler</name>
<description>Proxy maintainer for Alex</description>
</maintainer>
<upstream>
<remote-id type="github">libratbag/piper</remote-id>
</upstream>
</pkgmetadata>

52
app-misc/piper/piper-0.5.1.ebuild

@ -0,0 +1,52 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6,7,8} )
inherit meson python-single-r1 udev
DESCRIPTION="GTK configuration application for libratbag"
HOMEPAGE="https://github.com/libratbag/piper"
SRC_URI="https://github.com/libratbag/piper/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
BDEPEND="
${PYTHON_DEPS}
virtual/pkgconfig
"
RDEPEND="
${PYTHON_DEPS}
dev-libs/gobject-introspection
>=dev-libs/libratbag-0.13
gnome-base/librsvg[introspection]
x11-libs/gdk-pixbuf[introspection]
x11-libs/gtk+:3[introspection]
$(python_gen_cond_dep '
dev-python/lxml[${PYTHON_MULTI_USEDEP}]
dev-python/pycairo[${PYTHON_MULTI_USEDEP}]
dev-python/pygobject:3[${PYTHON_MULTI_USEDEP}]
dev-python/python-evdev[${PYTHON_MULTI_USEDEP}]
')
"
DEPEND="
${RDEPEND}
dev-libs/libevdev
virtual/libudev
"
src_configure() {
python_setup
meson_src_configure
}
src_install() {
meson_src_install
python_optimize
python_fix_shebang "${ED}"/usr/bin/
}

BIN
app-text/Manifest.gz

1
app-text/bdf2psf/Manifest

@ -1,2 +1 @@
DIST console-setup_1.104.tar.gz 3272857 BLAKE2B ae7a5929a059ddd2258884e5207198ae517da1284e264527878ad25bf883e48b399e53f2a987265623a5cffa3eefce8cce5fe8ad632576c46bba40689c17c586 SHA512 72b07a0ed955069777c1691b16753534630bcbdb5cd94f05ae95e8c27436c233598f01418fbf52a29b6ecf7d8217e6af841778d8e5d329569f2f585b538ba03e
DIST console-setup_1.155.tar.xz 1641952 BLAKE2B fbe1e58915c2aac1148a1de31eca5bc9b7fc078c9840b5d51d8b1211e178315360e294d81040c464e2404774594606b3fecab6f7924b1fd4bec4c24b219e9197 SHA512 e00b0b48d91c9587c0659714f74de259bf3efd1caa553c4a06d9bc545335463808db2da16797ffca1dc59cae4f524619d3cf9a68db2ff5ad7b47cdd8aced37ac

32
app-text/bdf2psf/bdf2psf-1.104.ebuild

@ -1,32 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
DESCRIPTION="Converter to generate console fonts from BDF source fonts"
HOMEPAGE="http://packages.debian.org/sid/bdf2psf"
SRC_URI="mirror://debian/pool/main/c/console-setup/console-setup_${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~ia64 ppc ppc64 ~s390 sparc x86"
IUSE=""
DEPEND=""
RDEPEND="dev-lang/perl"
S="${WORKDIR}/console-setup-${PV}"
src_compile() {
:
}
src_install() {
dobin Fonts/bdf2psf
insinto usr/share/bdf2psf
doins -r Fonts/*.equivalents Fonts/*.set Fonts/fontsets
doman man/bdf2psf.1
dodoc debian/README.fontsets
}

16
app-text/ghostscript-gpl/files/ghostscript-gpl-9.53.3-fix-ps2epsi.patch

@ -0,0 +1,16 @@
https://bugs.ghostscript.com/show_bug.cgi?id=703270
--- a/lib/ps2epsi
+++ b/lib/ps2epsi
@@ -40,8 +40,8 @@ else
outfile=$2
fi
-# Note, we expect 'ps2epsi.ps' to be in the same directory as 'ps2epsi'
+# Note, we expect 'ps2epsi.ps' to be on one of the search paths which can be seen by: gs -h
"$GS_EXECUTABLE" -q -dNOOUTERSAVE -dNODISPLAY -dLastPage=1 -sOutputFile="${outfile}" \
- --permit-file-all="${infile}" -- "$LIBDIR/ps2epsi.ps" "${infile}" 1>&2
+ --permit-file-all="${infile}" -- ps2epsi.ps "${infile}" 1>&2
exit 0

8
app-text/ghostscript-gpl/ghostscript-gpl-9.53.3-r2.ebuild → app-text/ghostscript-gpl/ghostscript-gpl-9.53.3-r4.ebuild

@ -61,8 +61,8 @@ RDEPEND="${DEPEND}
S="${WORKDIR}/${MY_P}"
PATCHES=(
# bug #747808
"${FILESDIR}/${PN}-9.53.3-freetype-2.10.3.patch"
"${FILESDIR}/${PN}-9.53.3-freetype-2.10.3.patch" # bug #747808
"${FILESDIR}/${P}-fix-ps2epsi.patch"
)
src_prepare() {
@ -107,7 +107,7 @@ src_prepare() {
# search path fix
# put LDFLAGS after BINDIR, bug #383447
sed -e "s:\$\(gsdatadir\)/lib:@datarootdir@/ghostscript/${PVM}/$(get_libdir):" \
sed -e "s:\$\(gsdatadir\)/lib:@datarootdir@/ghostscript/${PV}/$(get_libdir):" \
-e "s:exdir=.*:exdir=@datarootdir@/doc/${PF}/examples:" \
-e "s:docdir=.*:docdir=@datarootdir@/doc/${PF}/html:" \
-e "s:GS_DOCDIR=.*:GS_DOCDIR=@datarootdir@/doc/${PF}/html:" \
@ -183,7 +183,7 @@ src_install() {
emake DESTDIR="${D}" install
# install the CMaps from poppler-data properly, bug #409361
dosym ../../../poppler/cMaps "/usr/share/ghostscript/${PVM}/Resource/CMap"
dosym ../../../poppler/cMaps "/usr/share/ghostscript/${PV}/Resource/CMap"
if ! use static-libs; then
find "${ED}" -name '*.la' -delete || die

2
app-text/ronn/ronn-0.7.3-r3.ebuild

@ -14,7 +14,7 @@ HOMEPAGE="https://github.com/rtomayko/ronn/"
LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 arm ~arm64 hppa ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
KEYWORDS="amd64 arm ~arm64 ~hppa ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
IUSE=""

4
app-text/scdoc/Manifest

@ -1,4 +1,2 @@
DIST scdoc-1.10.0.tar.gz 12414 BLAKE2B 3111b3ace102aca2f7da86e510e00f552874817b6b9d754770bd94f9482e4e444a4bc4d44a8317376a6c374bb7363eae96a49281fefd95dd663134087123034b SHA512 546743376380d84aa9c8be65529dbbe1634e574203220ce1c057341436bd3a15297f393ca79d29372cb125bf457cfc00f64ba2867b8d2e910ca6531acb552e97
DIST scdoc-1.10.1.tar.gz 12422 BLAKE2B 4aa5b28994cd03f5d3fc9fff253a02f1052653d25d41225665219ebb6322ebe69f2671d91c5cfe201fd7f9b1ac06f38db3dd126492da06fef0b692fc040300d5 SHA512 356aee85c4676a1fbd7367c6087dd7f6f4d33793be0f3fef74803ceb93c0a9e45c78022d219dc08a7d79d71c393849fa3113c36a85d5d60ed474b62bf5f89743
DIST scdoc-1.11.0.tar.gz 12616 BLAKE2B 3aec60e51b949dc94e8339e400c366428a217c1bd44f79716cbd6993a7f8051a0796dc96163e071db4808c0edde071408e3eb1ee0ae3bb8ccd718479960ab8f3 SHA512 4c8248a12e69e53cc2182af5375912f7af64f3807163dbe3c52e85d817b1bfa7e461d02a627c73d93bdaa96e49668ff894d37817ceb70ee3186da9e3f8372d49
DIST scdoc-1.9.3.tar.gz 11479 BLAKE2B 79aa3f18104e06722f087e9c2fa047f6e19fe8eb47ba0b4e6fa86f7abdc52b06a2dfcfd632b16dc7bce6e5ef3b0dbb40ce9170e678bc17c0a4e43dcc0099a1dc SHA512 77be81f042e2099de7fc84b0161bc8a95d5c3dde662284613d84a1e249fa0aa51dad73f53f265c833526d40f5e1f19fce99dc5cd6df35efb0a323c3db6084a55
DIST scdoc-1.11.1.tar.gz 12482 BLAKE2B 2632da654730a373f03955f0b3bb190c8d6beb2fd4e4b05c88a4c86d384b26c51a8f032e6b2ef8d4d795638c1981a4d5500384f3103411869c7097a2ba1466ff SHA512 28b676a2ba69a101034c47378c4b66c94bfb9903d680a1871020fd8772d0990a4c91678738f71d37bfca06e27991ef782047c6503d375ce69df744caf6b459de

44
app-text/scdoc/scdoc-1.10.0.ebuild

@ -1,44 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs
DESCRIPTION="Standalone tool for generating man pages with a simple syntax"
HOMEPAGE="https://git.sr.ht/~sircmpwn/scdoc"
if [[ ${PV} == 9999 ]]; then
EGIT_REPO_URI="https://git.sr.ht/~sircmpwn/scdoc"
inherit git-r3
else
SRC_URI="https://git.sr.ht/~sircmpwn/scdoc/archive/${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="amd64 arm64 ~ppc64 x86"
fi
LICENSE="MIT"
SLOT="0"
src_prepare() {
default
sed -e 's/-Werror//' \
-i Makefile || die 'Failed to patch Makefile'
}
src_compile() {
local MY_HS="./scdoc"
if tc-is-cross-compiler; then
tc-export_build_env
MY_HS="./hostscdoc"
emake scdoc HOST_SCDOC="./hostscdoc" OUTDIR="${S}/.build.host" CC="$(tc-getBUILD_CC)" \
CFLAGS="${BUILD_CFLAGS} -DVERSION='\"${PV}\"'" LDFLAGS="${BUILD_LDFLAGS}"
mv scdoc hostscdoc || die 'Failed to rename host scdoc'
fi
emake CC="$(tc-getCC)" LDFLAGS="${LDFLAGS}" PREFIX="${EPREFIX}/usr" HOST_SCDOC="${MY_HS}"
}
src_install() {
emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" HOST_SCDOC="${MY_HS}" \
PCDIR="${ED}/usr/$(get_libdir)/pkgconfig" install
}

0
app-text/scdoc/scdoc-1.10.1.ebuild → app-text/scdoc/scdoc-1.11.1.ebuild

44
app-text/scdoc/scdoc-1.9.3-r1.ebuild

@ -1,44 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs
DESCRIPTION="Standalone tool for generating man pages with a simple syntax"
HOMEPAGE="https://git.sr.ht/~sircmpwn/scdoc"
if [[ ${PV} == 9999 ]]; then
EGIT_REPO_URI="https://git.sr.ht/~sircmpwn/scdoc"
inherit git-r3
else
SRC_URI="https://git.sr.ht/~sircmpwn/scdoc/archive/${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="amd64 arm64 ~ppc64 x86"
fi
LICENSE="MIT"
SLOT="0"
src_prepare() {
default
sed -e 's/-Werror//' \
-i Makefile || die 'Failed to patch Makefile'
}
src_compile() {
local MY_HS="./scdoc"
if tc-is-cross-compiler; then
tc-export_build_env
MY_HS="./hostscdoc"
emake scdoc HOST_SCDOC="./hostscdoc" OUTDIR="${S}/.build.host" CC="$(tc-getBUILD_CC)" \
CFLAGS="${BUILD_CFLAGS} -DVERSION='\"${PV}\"'" LDFLAGS="${BUILD_LDFLAGS}"
mv scdoc hostscdoc || die 'Failed to rename host scdoc'
fi
emake CC="$(tc-getCC)" LDFLAGS="${LDFLAGS}" PREFIX="${EPREFIX}/usr" HOST_SCDOC="${MY_HS}"
}
src_install() {
emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" HOST_SCDOC="${MY_HS}" \
PCDIR="${ED}/usr/$(get_libdir)/pkgconfig" install
}

BIN
dev-cpp/Manifest.gz

1
dev-cpp/eigen/Manifest

@ -1,3 +1,4 @@
DIST eigen-3.3.7-gitlab.tar.bz2 1663474 BLAKE2B 70c2f6305ca205d62755cf5e90961088938b8daf56b7cc27abf52f0731064858ada523009d6bf5f014e24b34ceeafe59f918c385d12ccfe249ddb675e13d37a8 SHA512 ea3f1570de3be9ec230d2fbd0f2ae246bf5fd13da79835bf546eb31524796f26f9f633ee779f77942b370a8d540c5cbbd8dd033ccec53a44b692c7e407d6266f
DIST eigen-3.3.7.tar.bz2 1665168 BLAKE2B 544d35d1c7a4125affa094c6aa372c2aeca4e99bc60c496ff393d538c1c467b454491a772121450e3a1a43a582d073b4b7584918354d0b9175121fde88947c4b SHA512 c12bfd034d0a1112bf2df3f773ad98f36b2b53fbbfceac5f143ee1793322746fb8a6546d7db7da2a1000da6a535bd8cea0c4125b549afc90a6570743b02dcf3d
DIST eigen-3.3.8.tar.gz 2141903 BLAKE2B c33e699ba08338e7b9b215c9466e161229164ed3c466ce3d760c6917749af33c0414c3bc4bbdd216e3466e69ece8a38ca8beb78b7e0f1609894df6bb4a7fcca3 SHA512 5b4b5985b0294e07b3ed1155720cbbfea322fe9ccad0fc8b0a10060b136a9169a15d5b9cb7a434470cadd45dff0a43049edc20d2e1070005481a120212edc355
DIST eigen-3.3.9.tar.gz 2142379 BLAKE2B 437dc190fdf7a416d0a5cf81703ef4cc73c195f0f3e7c853e0ab38cf904608ddd4485cc4e15eb0cd5e3c401276f270f3c86f538f205cc91b8c83e131d1bc916d SHA512 16244cc89f2e1879543232b965cbf653b3ccf10e967c8c437a41e27d8320392bdf584d8c24b8a97406ab7d1481d5154da74e0702ec1334ae6a46de83f4573a46

107
dev-cpp/eigen/eigen-3.3.9.ebuild

@ -0,0 +1,107 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
FORTRAN_NEEDED="test"
inherit cmake cuda fortran-2
DESCRIPTION="C++ template library for linear algebra"
HOMEPAGE="http://eigen.tuxfamily.org/index.php?title=Main_Page"
SRC_URI="https://gitlab.com/lib${PN}/${PN}/-/archive/${PV}/${P}.tar.gz"
LICENSE="MPL-2.0"
SLOT="3"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
IUSE="cpu_flags_arm_neon cpu_flags_ppc_altivec cpu_flags_ppc_vsx cuda debug doc openmp test" #zvector
RESTRICT="!test? ( test )"
BDEPEND="
doc? (
app-doc/doxygen[dot]
dev-texlive/texlive-bibtexextra
dev-texlive/texlive-fontsextra
dev-texlive/texlive-fontutils
dev-texlive/texlive-latex
dev-texlive/texlive-latexextra
)
test? ( virtual/pkgconfig )
"
DEPEND="
cuda? ( dev-util/nvidia-cuda-toolkit )
test? (
dev-libs/gmp:0
dev-libs/mpfr:0
media-libs/freeglut
media-libs/glew
sci-libs/adolc[sparse]
sci-libs/cholmod
sci-libs/fftw:3.0
sci-libs/pastix
sci-libs/scotch
sci-libs/spqr
sci-libs/superlu
sci-libs/umfpack
virtual/opengl
)
"
# Missing:
# METIS-5
# GOOGLEHASH
PATCHES=(
"${FILESDIR}"/${PN}-3.3.7-gentoo-cmake.patch
"${FILESDIR}"/${PN}-3.3.9-max-macro.patch
# disable the cholmod tests, they always fail
"${FILESDIR}"/${PN}-3.3.9-disable-cholmod_support.patch
)
src_prepare() {
cmake_src_prepare
cmake_comment_add_subdirectory demos
if ! use test; then
sed -e "/add_subdirectory(test/s/^/#DONOTCOMPILE /g" \
-e "/add_subdirectory(blas/s/^/#DONOTCOMPILE /g" \
-e "/add_subdirectory(lapack/s/^/#DONOTCOMPILE /g" \
-i CMakeLists.txt || die
fi
use cuda && cuda_src_prepare
}
src_configure() {
local mycmakeargs=(
-DCMAKEPACKAGE_INSTALL_DIR=$(get_libdir)/cmake/${PN}${SLOT}
)
use test && mycmakeargs+=(
# the OpenGL testsuite is extremely brittle, bug #712808
-DEIGEN_TEST_NO_OPENGL=ON
-DEIGEN_TEST_CXX11=ON
-DEIGEN_TEST_NOQT=ON
-DEIGEN_TEST_ALTIVEC=$(usex cpu_flags_ppc_altivec)
-DEIGEN_TEST_CUDA=$(usex cuda)
-DEIGEN_TEST_OPENMP=$(usex openmp)
-DEIGEN_TEST_NEON64=$(usex cpu_flags_arm_neon)
-DEIGEN_TEST_VSX=$(usex cpu_flags_ppc_vsx)
)
cmake_src_configure
}
src_compile() {
cmake_src_compile
if use doc; then
cmake_src_compile doc
HTML_DOCS=( "${BUILD_DIR}"/doc/html/. )
fi
if use test; then
cmake_src_compile blas
cmake_src_compile buildtests
# tests generate random data, which
# obviously fails for some seeds
export EIGEN_SEED=712808
fi
}

20
dev-cpp/eigen/files/eigen-3.3.9-disable-cholmod_support.patch

@ -0,0 +1,20 @@
--- a/test/CMakeLists.txt
+++ b/test/CMakeLists.txt
@@ -46,16 +46,7 @@
set(SPARSE_LIBS " ")
-find_package(Cholmod)
-if(CHOLMOD_FOUND)
- add_definitions("-DEIGEN_CHOLMOD_SUPPORT")
- include_directories(${CHOLMOD_INCLUDES})
- set(SPARSE_LIBS ${SPARSE_LIBS} ${CHOLMOD_LIBRARIES} ${EIGEN_BLAS_LIBRARIES} ${EIGEN_LAPACK_LIBRARIES})
- set(CHOLMOD_ALL_LIBS ${CHOLMOD_LIBRARIES} ${EIGEN_BLAS_LIBRARIES} ${EIGEN_LAPACK_LIBRARIES})
- ei_add_property(EIGEN_TESTED_BACKENDS "Cholmod, ")
-else()
- ei_add_property(EIGEN_MISSING_BACKENDS "Cholmod, ")
-endif()
+ei_add_property(EIGEN_MISSING_BACKENDS "Cholmod, ")
find_package(Umfpack)
if(UMFPACK_FOUND)

17
dev-cpp/eigen/files/eigen-3.3.9-max-macro.patch

@ -0,0 +1,17 @@
--- a/unsupported/test/forward_adolc.cpp
+++ b/unsupported/test/forward_adolc.cpp
@@ -7,12 +7,13 @@
// Public License v. 2.0. If a copy of the MPL was not distributed
// with this file, You can obtain one at http://mozilla.org/MPL/2.0/.
-#include "main.h"
#include <Eigen/Dense>
#define NUMBER_DIRECTIONS 16
#include <unsupported/Eigen/AdolcForward>
+#include "main.h"
+
template<typename Vector>
EIGEN_DONT_INLINE typename Vector::Scalar foo(const Vector& p)
{

BIN
dev-embedded/Manifest.gz

2
dev-embedded/rpi-eeprom/Manifest

@ -1,2 +1,4 @@
DIST rpi-eeprom_10.2-1.debian.tar.xz 7360 BLAKE2B e7959c4de4f3675632f0897b6f8abc811c80daa102ad3fcca672a0e0f9ce4b4da80fd616de7aa8896f0f5fe889a10a52d32eba34627858a173186292175f3bf9 SHA512 cf401c5f761fc8c5b463630d192c8af9da2ae2e55e178857d9c09198437f162f96af23836d20adda6054243c6b613b7cc5c90a70975b96bad574dc3b328caa22
DIST rpi-eeprom_10.2.orig.tar.gz 7415652 BLAKE2B b1f56263c0037b2ba3bac2aecd9b5736736cf599bc68a743c065c853a20f56f18984816fdfb402bb499c3aa911dbe72376cec4647d87406cce2f4328b04cc2b1 SHA512 ea76a157ed57984fb0667e9171e3fbf7dba180e014faa9352b0c1904531dca9528b0e3204645a4af2b550670a52354b6b1be6af27e190d4523d8044f3349aa73
DIST rpi-eeprom_10.3-1.debian.tar.xz 10188 BLAKE2B 284a5465f2b5bc28c95135b8869218e83cbea9d0667b165de954f5c73549dfc190ddc838d956eec4c569c579e95ffc157054c6ed4bbd45e8ae88f786675cb164 SHA512 ead6b6c51d03493479c242e757edfc33bfdba4627f7501d90d0a181e8adc68f1503e0dac900b9b253a7286523f84d0e9afd8460d72f30b3ee8ee75b2f76811ab
DIST rpi-eeprom_10.3.orig.tar.gz 7635402 BLAKE2B 3153eda08eada4c9e4f05d7a68ac4661413591314c4980e16ee876d49e756e2e13a101765b579adbe51e0e3b88cdfe419b71a58da858250781e0f292220dc397 SHA512 ea5a6ae47be5052b4793161d891a1e3a72dda951c95f15797d7baf68d475fcec1250638e4c43a32578ceef10563ebce052e746bc8fc60f8cf8d90780d5a7e8a7

93
dev-embedded/rpi-eeprom/rpi-eeprom-10.3_p1.ebuild

@ -0,0 +1,93 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6,7,8,9} )
inherit python-r1 systemd
DESCRIPTION="Updater for Raspberry Pi 4 bootloader and the VL805 USB controller"
HOMEPAGE="https://github.com/raspberrypi/rpi-eeprom/"
MY_P="${PN}-$(ver_cut 1-2)"
MY_BASE_URL="https://archive.raspberrypi.org/debian/pool/main/r/${PN}/${PN}_$(ver_cut 1-2)"
SRC_URI="${MY_BASE_URL}-$(ver_cut 4).debian.tar.xz
${MY_BASE_URL}.orig.tar.gz"
S="${WORKDIR}"
SLOT="0"
LICENSE="BSD rpi-eeprom"
KEYWORDS="~arm ~arm64"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
BDEPEND="sys-apps/help2man"
DEPEND="${PYTHON_DEPS}"
RDEPEND="${PYTHON_DEPS}
sys-apps/flashrom
|| (
>=media-libs/raspberrypi-userland-0_pre20201022
>=media-libs/raspberrypi-userland-bin-1.20201022
)"
src_prepare() {
default
sed -i \
-e 's:/etc/default/rpi-eeprom-update:/etc/conf.d/rpi-eeprom-update:' \
"${MY_P}/rpi-eeprom-update" || die "Failed sed on rpi-eeprom-update"
sed -i \
-e 's:/usr/bin/rpi-eeprom-update:/usr/sbin/rpi-eeprom-update:' \
"debian/rpi-eeprom.rpi-eeprom-update.service" || die "Failed sed on rpi-eeprom.rpi-eeprom-update.service"
}
src_install() {
pushd "${MY_P}" 1>/dev/null || die "Cannot change into directory ${MY_P}"
python_scriptinto /usr/sbin
python_foreach_impl python_newscript rpi-eeprom-config rpi-eeprom-config
dosbin rpi-eeprom-update
keepdir /var/lib/raspberrypi/bootloader/backup
for dir in critical stable beta; do
insinto /lib/firmware/raspberrypi/bootloader
doins -r firmware/${dir}
done
dodoc firmware/release-notes.md
help2man -N \
--version-string="${PV}" --help-option="-h" \
--name="Bootloader EEPROM configuration tool for the Raspberry Pi 4B" \
--output=rpi-eeprom-config.1 ./rpi-eeprom-config || die "Failed to create manpage for rpi-eeprom-config"
help2man -N \
--version-string="${PV}" --help-option="-h" \
--name="Checks whether the Raspberry Pi bootloader EEPROM is \
up-to-date and updates the EEPROM" \
--output=rpi-eeprom-update.1 ./rpi-eeprom-update || die "Failed to create manpage for rpi-eeprom-update"
doman rpi-eeprom-update.1 rpi-eeprom-config.1
newconfd rpi-eeprom-update-default rpi-eeprom-update
popd 1>/dev/null || die
pushd debian 1>/dev/null || die "Cannot change into directory debian"
systemd_newunit rpi-eeprom.rpi-eeprom-update.service rpi-eeprom-update.service
newdoc changelog changelog.Debian
popd 1>/dev/null || die
newinitd "${FILESDIR}/init.d_rpi-eeprom-update-1" "rpi-eeprom-update"
}
pkg_postinst() {
elog 'To have rpi-eeprom-update run at each startup, enable and start either'
elog '/etc/init.d/rpi-eeprom-update (for openrc users)'
elog 'or'
elog 'rpi-eeprom-update.service (for systemd users)'
elog '/etc/conf.d/rpi-eeprom-update contains the configuration.'
elog 'FIRMWARE_RELEASE_STATUS="critical|stable|beta" determines'
elog 'which release track you get. "critical" is recommended and the default.'
}

BIN
dev-haskell/Manifest.gz

15
dev-haskell/comonad/comonad-5.0.6.ebuild

@ -3,7 +3,8 @@
EAPI=7
# ebuild generated by hackport 0.6.1.9999
# ebuild generated by hackport 0.6.6.9999
#hackport: flags: +distributive,+containers
CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
inherit haskell-cabal
@ -15,25 +16,25 @@ SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
IUSE="+containers +distributive +test-doctests"
IUSE="+test-doctests"
RESTRICT=test # broken on USE=doc
RDEPEND=">=dev-haskell/semigroups-0.16.2:=[profile?] <dev-haskell/semigroups-1:=[profile?]
RDEPEND=">=dev-haskell/distributive-0.2.2:=[profile?] <dev-haskell/distributive-1:=[profile?]
>=dev-haskell/semigroups-0.16.2:=[profile?] <dev-haskell/semigroups-1:=[profile?]
>=dev-haskell/tagged-0.7:=[profile?] <dev-haskell/tagged-1:=[profile?]
>=dev-haskell/transformers-compat-0.3:=[profile?] <dev-haskell/transformers-compat-1:=[profile?]
>=dev-lang/ghc-7.8.2:=
distributive? ( >=dev-haskell/distributive-0.2.2:=[profile?] <dev-haskell/distributive-1:=[profile?] )
"
DEPEND="${RDEPEND}
>=dev-haskell/cabal-1.18.1.3
>=dev-haskell/cabal-doctest-1 <dev-haskell/cabal-doctest-1.1
test? ( test-doctests? ( >=dev-haskell/doctest-0.11.1 <dev-haskell/doctest-0.17 ) )
test? ( test-doctests? ( >=dev-haskell/doctest-0.11.1 <dev-haskell/doctest-0.18 ) )
"
src_configure() {
haskell-cabal_src_configure \
$(cabal_flag containers containers) \
$(cabal_flag distributive distributive) \
--flag=containers \
--flag=distributive \
$(cabal_flag test-doctests test-doctests)
}

18
dev-haskell/comonad/metadata.xml

@ -6,22 +6,6 @@
<name>Gentoo Haskell</name>
</maintainer>
<use>
<flag name="test-doctests">
Run the doctests test suite
</flag>
<flag name="containers">
You can disable the use of the `containers` package
using `-f-containers`. Disabing this is an unsupported configuration, but it
may be useful for accelerating builds in sandboxes for expert users.
</flag>
<flag name="distributive">
You can disable the use of the `distributive`
package using `-f-distributive`. Disabling this is an unsupported
configuration, but it may be useful for accelerating builds in sandboxes for
expert users. If disabled we will not supply instances of `Distributive`
</flag>
<flag name="test-doctests">Run the doctests test suite</flag>
</use>
<upstream>
<remote-id type="github">ekmett/comonad</remote-id>
</upstream>
</pkgmetadata>

9
dev-haskell/wai-app-static/wai-app-static-3.1.7.2.ebuild → dev-haskell/wai-app-static/wai-app-static-3.1.7.2-r1.ebuild

@ -31,7 +31,7 @@ RDEPEND=">=dev-haskell/blaze-html-0.5:=[profile?]
>=dev-haskell/unix-compat-0.2:=[profile?]
>=dev-haskell/unordered-containers-0.2:=[profile?]
>=dev-haskell/wai-3.0:=[profile?] <dev-haskell/wai-3.3:=[profile?]
>=dev-haskell/wai-extra-3.0:=[profile?] <dev-haskell/wai-extra-3.1:=[profile?]
>=dev-haskell/wai-extra-3.0:=[profile?] <dev-haskell/wai-extra-3.2:=[profile?]
>=dev-haskell/warp-3.0.11:=[profile?] <dev-haskell/warp-3.4:=[profile?]
>=dev-haskell/zlib-0.5:=[profile?]
>=dev-lang/ghc-7.8.2:=
@ -44,6 +44,13 @@ DEPEND="${RDEPEND}
dev-haskell/temporary )
"
src_prepare() {
default
cabal_chdeps \
'wai-extra >= 3.0 && < 3.1' 'wai-extra >= 3.0'
}
src_configure() {
haskell-cabal_src_configure \
$(cabal_flag print print)

2
dev-haskell/wai-extra/Manifest

@ -1 +1 @@
DIST wai-extra-3.0.31.tar.gz 63975 BLAKE2B e705142e48bac00d13d9ec42ecc02a646a081e69a5996794db34bea77b193dccfe9de2f9b89518b234adf226cfc79765c1d8eabcf7c990494e0d206f6a8de080 SHA512 71635f9acc44ffd19b76d7f1a5e43fa079dffe6e447be1c9df4b491cf96c226346788eb773923cf702d44d4620f2a5e7478be1c625b4c2332b9bed7e6e5391d2
DIST wai-extra-3.1.4.1.tar.gz 67063 BLAKE2B d75f1425cf4c75596adb65c152c954a6005b085f3a290d7dea279a4417d85e359f6948fc8282cee63f2057b4dfe3e33b7a364667544c925582024e4255e71462 SHA512 c33b513bd6e627361007f285167235535ac4065e7198749c14d05cfcd89c5017b54896064c64ffdda9875d6363b684b9beed4098fdbefaba1058045ba3245af5

8
dev-haskell/wai-extra/wai-extra-3.0.31.ebuild → dev-haskell/wai-extra/wai-extra-3.1.4.1.ebuild

@ -28,6 +28,7 @@ RDEPEND="dev-haskell/aeson:=[profile?]
>=dev-haskell/fast-logger-2.4.5:=[profile?]
>=dev-haskell/http-types-0.7:=[profile?]
dev-haskell/http2:=[profile?]
dev-haskell/hunit:=[profile?]
dev-haskell/iproute:=[profile?]
>=dev-haskell/network-2.6.1.0:=[profile?]
>=dev-haskell/old-locale-1.0.0.2:=[profile?] <dev-haskell/old-locale-1.1:=[profile?]
@ -41,13 +42,12 @@ RDEPEND="dev-haskell/aeson:=[profile?]
>=dev-haskell/wai-logger-2.3.2:=[profile?]
dev-haskell/word8:=[profile?]
dev-haskell/zlib:=[profile?]
>=dev-lang/ghc-7.10.1:=
>=dev-lang/ghc-8.2.1:=
examples? ( dev-haskell/warp:=[profile?] )
"
DEPEND="${RDEPEND}
>=dev-haskell/cabal-1.22.2.0
test? ( >=dev-haskell/hspec-1.3
dev-haskell/hunit )
>=dev-haskell/cabal-2.0.0.2
test? ( >=dev-haskell/hspec-1.3 )
"
src_configure() {

2
dev-haskell/yesod-core/Manifest

@ -1 +1 @@
DIST yesod-core-1.6.18.7.tar.gz 100141 BLAKE2B 0d00fffcc4371868f02ec5ec1fe4f5af15369f62b7bf88562e8c092b3988824cbbe26defd574f2514d23fca983f81cc951b75f564213f568d244069e352cc198 SHA512 fde155df74588d2eb9824e0f423b666228a1b681a83c4f30e194c8816667cd6e4fefb7cddcd66f6ff2ca745ad3ef8daee439a133b017d8583167b54a698a12a1
DIST yesod-core-1.6.18.8.tar.gz 100016 BLAKE2B 117535cc875be850011b357ebf3bb89e6d854870cefe26e20001e70b93247d85a3bd190e2f889626819f8bc80211b2c64b5d8dac7e9606229ed07c03d8926c2e SHA512 1774281bf8de190995360bcf461adc46b65bac5fa2200aada0b511f73b3bc7bab8365fa4737b4de4723481f7b76c0cb440d68b118c15c46e3d455ea9126bffa7

0
dev-haskell/yesod-core/yesod-core-1.6.18.7.ebuild → dev-haskell/yesod-core/yesod-core-1.6.18.8.ebuild

BIN
dev-java/Manifest.gz

14
dev-java/antlr/antlr-3.5.2.ebuild → dev-java/antlr/antlr-3.5.2-r1.ebuild

@ -1,7 +1,7 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
EAPI=7
inherit eutils java-pkg-2 java-pkg-simple
@ -18,21 +18,26 @@ RESTRICT="!test? ( test )"
CDEPEND="dev-java/stringtemplate:4"
RDEPEND="${CDEPEND}
>=virtual/jre-1.6"
>=virtual/jre-1.8"
DEPEND="${CDEPEND}
>=virtual/jdk-1.6
>=virtual/jdk-1.8
test? ( dev-java/junit:4 )"
S="${WORKDIR}/${PN}3-${PV}"
JAVA_GENTOO_CLASSPATH_EXTRA="${S}/${PN}-runtime.jar"
JAVA_GENTOO_CLASSPATH="stringtemplate-4"
PATCHES=(
"${FILESDIR}/${PV}-test-fixes.patch"
)
src_unpack() {
unpack ${P}.tar.gz
}
java_prepare() {
src_prepare() {
default
java-pkg_clean
# This requires StringTemplate v3 and is only needed for
@ -42,7 +47,6 @@ java_prepare() {
# Some tests have to be removed as a result.
rm -v tool/src/test/java/org/antlr/test/Test{RewriteTemplates,Templates}.java || die
epatch "${FILESDIR}/${PV}-test-fixes.patch"
# Some tests fail under Java 8 in ways that probably aren't limited
# to the tests. This is bad but upstream is never going to update

BIN
dev-lang/Manifest.gz

2
dev-lang/php/php-7.2.33.ebuild

@ -18,7 +18,7 @@ LICENSE="PHP-3.01
unicode? ( BSD-2 LGPL-2.1 )"
SLOT="$(ver_cut 1-2)"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
# We can build the following SAPIs in the given order
SAPIS="embed cli cgi fpm apache2 phpdbg"

2
dev-lang/php/php-7.2.34.ebuild

@ -18,7 +18,7 @@ LICENSE="PHP-3.01
unicode? ( BSD-2 LGPL-2.1 )"
SLOT="$(ver_cut 1-2)"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
# We can build the following SAPIs in the given order
SAPIS="embed cli cgi fpm apache2 phpdbg"

2
dev-lang/php/php-7.3.21.ebuild

@ -19,7 +19,7 @@ LICENSE="PHP-3.01
unicode? ( BSD-2 LGPL-2.1 )"
SLOT="$(ver_cut 1-2)"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
S="${WORKDIR}/${PN}-${MY_PV}"

2
dev-lang/php/php-7.3.23.ebuild

@ -19,7 +19,7 @@ LICENSE="PHP-3.01
unicode? ( BSD-2 LGPL-2.1 )"
SLOT="$(ver_cut 1-2)"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
S="${WORKDIR}/${PN}-${MY_PV}"

2
dev-lang/php/php-7.4.11.ebuild

@ -21,7 +21,7 @@ LICENSE="PHP-3.01
unicode? ( BSD-2 LGPL-2.1 )"
SLOT="$(ver_cut 1-2)"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
S="${WORKDIR}/${PN}-${MY_PV}"

2
dev-lang/php/php-7.4.9.ebuild

@ -21,7 +21,7 @@ LICENSE="PHP-3.01
unicode? ( BSD-2 LGPL-2.1 )"
SLOT="$(ver_cut 1-2)"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
S="${WORKDIR}/${PN}-${MY_PV}"

8
dev-lang/python/Manifest

@ -1,5 +1,6 @@
DIST Python-2.7.18.tar.xz 12854736 BLAKE2B 060a621c91dd8e3d321aec99d44c17aa67381998256a1a002d316b38288349884d5960de35c49352d03129ed0bae599e641ec2225898158ebce50a7a2fd74d2c SHA512 a7bb62b51f48ff0b6df0b18f5b0312a523e3110f49c3237936bfe56ed0e26838c0274ff5401bda6fc21bf24337477ccac49e8026c5d651e4b4cafb5eb5086f6c
DIST Python-3.10.0a1.tar.xz 18571152 BLAKE2B d74e467dfce1a0e3374377fc36865f1059e3810f67492608bbcfdb6880fc9a748ed19d1e3c4617a9218c842e8e9cb4119845eccb6848acae9b4af389cbbdb43a SHA512 eb1a0f6dd023efe67cfc2c833b0a7d390765d288e4da7aae932ba66b970d63ad377dbe48ddf0548c5cca5334a3aa1c7e92f972b68c54e4238ea1f3610adb8910
DIST Python-3.10.0a3.tar.xz 18676916 BLAKE2B 86c8e3cd5d9658a2b1027558eda42294807173cac39010737dba6a0bf75a3a7211297cb79061085ab0cea52eaaba521140ff67c3b6edeebd677429191f4435b5 SHA512 a361c04081e9bd7e740c3311d92ec1428f12c589613ab39ed2bb1ac5aa20e4d8bc6d6e76eefc20edd459ecf8be1720f3985126be38407fcfb41f5a6efcea3998
DIST Python-3.6.11.tar.xz 17213036 BLAKE2B 4dae9d9c5eb7e97a8990b0b5739d40ba8a85081c7e03adc22a3305e713d39b3a98ff66c17b395b9d45355e124307eed87803211378d14360e8b3455f7146a1ba SHA512 c76969a6602e095641ba5fd0999a47cf0187eb26559ba9a6e80fe401b8928f6cd9eabd963f615f7c667e48f56603f2508d2b5692c83ea8da1e21292131fb11d6
DIST Python-3.6.12.tar.xz 17202980 BLAKE2B c8d22e4d57bcaffe77cd902cda3a473e73adf2b74ab104c23b4d846f19632a24cc0c478af84079b16d784bd1c0956824c06c1f6134fd24f54e58aaab0fe96bb6 SHA512 1462801f3f6626a853097d34ccdca9838c4c5bd81ecc3abc751003f5f2f8d36eecdaa4130ef4218de351c5586093c11669639a34492668fbc5a2a4a241f4a070
DIST Python-3.7.8.tar.xz 17399552 BLAKE2B 4bf6c47b1132b6d31a79232002c4d38e2cd123ac05d52b21d6bfba5a4e19ec9130b8df8698d5ce6627e4297c4cf756643f036e694e36364c235306c72ef34bf8 SHA512 d2ba299e3cf8ed0f8fed9317f42bcd8d9af7e0e6175939b4be1be289c1658418bed17899e2608d762ffb15575021956cf6bf2054d7863c04b3bd7642f5b8c7ea
@ -7,14 +8,21 @@ DIST Python-3.7.9.tar.xz 17389636 BLAKE2B 484833aa2aa4e29051a02969294f72099ff6f1
DIST Python-3.8.4.tar.xz 18020412 BLAKE2B cfcfb293c413b25fc3ca48116cf8ffaba7bee18e9af9accf26be9b4373a0c62dd8e9da70e5a8a38ba6da4d1afbdbd589ae5ea4b618b65130ae061698b445908c SHA512 37a36d014a8372742be9d0bd9dd3a275e100dc21b1515c145bc62425d4d157327b6e63ad99bc888c0b36c1da4c05676c40eb086e75072d1906e3210ec3043dcb
DIST Python-3.8.5.tar.xz 18019640 BLAKE2B bb3e0566afe28759e4ab129ad0986a0fc5103514f2e2b22ff4aa3973c3173ebdd24d4267fbaf903841814a611fd9ea122673e5a1918934366e5c0efaef9d7517 SHA512 460cee65d7df7150694590575502d7f22e548ebfc99c8f8b363eef8bf30ee72e58d8ffacb1d607824f877f880eb9fd6775a508388029583e1e1df3380f3f9587
DIST Python-3.8.6.tar.xz 18233864 BLAKE2B c8a8ef6055e344dda30eb808804cfa62016b4f840257cffd5a495e5932f5696e50579d49b8181a487c9cd4a89bdb95656e80981039783a21d20f7980aa2c9883 SHA512 22faec84f6e172e1ac7c6bd6fd37e9b6ae4afc91cf5136aa8cac8ebbed8d18793f9196e8749b8ccc43447cb6c41cb450f65ea72dd363c06dfaeb14e0455f5560
DIST Python-3.8.7rc1.tar.xz 18258688 BLAKE2B cd18abf3a2f97856581735fc6ab98882c3839edd84f736b2f681a227694319f410154201e5e09938ec45ba00b69a593737da22263560080da72625f8611f14c6 SHA512 0c42622433b968dc0943894bff6e90603bdfc4e49ab4373e2686a158e1d4b3450e60aa16d8203ce3d0e0e8bb0ebcaad281ccd7eb03b355eeeb7c811a4cd799ec
DIST Python-3.9.0.tar.xz 18866140 BLAKE2B 8e12b64e187a65461473ac3b281dc489f0abac586e0755f6dbeceb236b34bdc008085eeac9ee1a19d76f5ec6a2fbda623985454c9d0164c4888a97b8cd940034 SHA512 b141039c9701a8cb0d15cd11a279153077524af4d0599e7d2c7279d4c18d05fda06b33ef82342d875de996c7117b7dc6eb154dc3669d38a1efa99801aeec6c5e
DIST Python-3.9.1.tar.xz 18897104 BLAKE2B bcbce176510e8e7c6ba6070588bedc52121c21c5271f59b3d629dfb542c51ee62622b2ca53a6e2041f1a51b2d089368cc4de9bb749e8ebad9a2c4eb4de83538e SHA512 b90029d6825751685983e9dcf0e0ec9e46f18e6c7d37b0dd7a245a94316f8c0090308ad7c2b2b49ed2514b0b909177231dd5bcad03031bf4624e37136fcf8019
DIST python-gentoo-patches-2.7.18-r3.tar.xz 18856 BLAKE2B e35b3d847dad114057b7dab7615941b4879f3531aff1d23bced22da2d445cdec77cdd416566611ca01a3d39f30f16ef224f835f35ca12a301024d7a9fb6a507b SHA512 abb102223555535d5214fa91fd4bb3d1241050c86027af1612a9bd43fea2721e184587e5b784e5af9cbf563b8fec5a25cd07dc5fa72d762228734713176cfcbd
DIST python-gentoo-patches-2.7.18-r4.tar.xz 21352 BLAKE2B d322f5afd63813d7c9280c75f942bde75ee19793e121d0406c4f229ead53324bf3996342eed9a6c1aa474894afe7f2dd70aec38aee8042993a5274abc288fd31 SHA512 1cb0be8e79d0c6c55fcbe3f3dabf8b760aea0e60d888ea39d3e69de03b55738c50b2cca06586c1cd2896956f5764eefd6d3f9fbf2de0d0ddfd8aab86837976b6
DIST python-gentoo-patches-3.10.0a1.tar.xz 8592 BLAKE2B 066fe89725469649a88a0b0c9f62d7d1380feb704ed12c696871cd595e4e920f23b54a2c771e15b5d2345dcdab21694365ef9b29e93f552f74d13642ebc59200 SHA512 e86df9e08ec7306f6457b5e3490171966022964fb700046587088bceb3d8977a45fe7e944f7dd39ad473000654f69f495b8c67edebb13bc12000b32716845533
DIST python-gentoo-patches-3.6.11-r3.tar.xz 14064 BLAKE2B 416780c15ee12cfc06bfd1397d510dd42fea61abcaafd9cf54f27d843342debf0caa93c9700686feb14f04239ad4ea8f20ce8736029638abe7d7b9c57b9d659d SHA512 de6a4a5bec89e6149b85b383991c99bd9460a8f59f52a700d54edd0154557727ccc79daaa90336dff434b222657c3f28dda1228d2d474002d0a28f31c9ed0b10
DIST python-gentoo-patches-3.6.12-r1.tar.xz 16540 BLAKE2B 8204b6f25e1f7c6fef024933d54bfa6085158ac624a6e5a8d51576da2047b6db791be5d071c483fdec5c033b8fa8ee3d4e176a3e442defa556b34a304de3b7f3 SHA512 ad74c73b4f963427e66ac6187e1569dbfbbe3c916c24971a1eba4ad7e2f94e39c970f80e197c0498820451f036b12f3076b46cfd73bb5d6d56183ac05453d9ad
DIST python-gentoo-patches-3.6.12.tar.xz 11448 BLAKE2B a7fb7153ca6fd353649f9dc23f2d777e84ff144d67984d8c3d292619a4f671e3a71d8022bcc334b55f9f1f416ceeca113fb116da805e4bc45d8a67cbc098ead8 SHA512 7efb97abd3e058e4532b89205c99794836ba094079de2a6d7846fd2673ea8cc31e68573b83fd9f82453151653fb0ed9bc40b7961b41efdfe703b64cbed2576bf
DIST python-gentoo-patches-3.7.8-r3.tar.xz 13232 BLAKE2B 9df47b1f61d08f62a80221bc48d73ec27cd74a9ade8219912c5b02eaea919b70d91b1154837cd03c0129a5839186e9c970167ca3398129c044c25c7853f1f920 SHA512 e1477d425cb6125ca2286d816f4aa4e9e3c789d6a4f4907bd7b78549598356cae5766f642e2cad9e7c3abe2e82c12cf3cb7db3513be68aa213cb64cc0abc678a
DIST python-gentoo-patches-3.7.9-r1.tar.xz 15664 BLAKE2B 271b95a52f4ba83c1aee6f68385462c9af8f2ab575267ac068a793e99f7c9739eb4b98dfa7e9280510a709557d418db04f26b5b31bbfe95dfdc13c1773510d2d SHA512 38df628de2f2835f975f6f06395d32cd63051af87b9bf8b06eef2f987bde26a883923bcab333568c122554b900bb17995a8c7290b6a58f942bd942dcbc70d030
DIST python-gentoo-patches-3.7.9.tar.xz 10588 BLAKE2B f60c8500671e7e3977412474c838905846e0609a7fdac787f2c6a8bfa53c887dcfd3466c5276772ffb8c20205e8b3f207f7d148c04524f19d095964b519da62d SHA512 11f411eb2d59fd45fbd80bdb1d1a83d413770779244045006942c5cb84837cba606673bcde102ae03b1d4579f526b551c93a64d39dba530b4584ba8dd8e9f13e
DIST python-gentoo-patches-3.8.4-r2.tar.xz 12660 BLAKE2B 3197edc6beb2b1be05399f268ff9b337ed67f699e3867160fea8e50f763a62b184ddd7adcdfa55dafc8c14f91e020b409461027361d04858db667992794b1168 SHA512 c56adbec04bfb950f7fb65f38cc0b78eaae9783800c755b7ac934b07725fcf4d69bbc2c29f7d1255acd6e88559a216dc8a6088042a479aa0d453b706e318c0cf
DIST python-gentoo-patches-3.8.5.tar.xz 11280 BLAKE2B 163c577da75f4ec0ebe86b5a08bea96d5ae406020bd211439b1405c0f8a5dddc9422a9ea5b16eed195433cbec010d9def3126a578d3f9716325482216b9e4d62 SHA512 6b7f72b8deb87fb7a169e97391185823984b5e9c99ec5232504c670843fbe0ca76afe32fc3fbe1f850ec6c42e9325cf4697022f36f7b00a4028b324069dd4d5b
DIST python-gentoo-patches-3.8.6-r1.tar.xz 15880 BLAKE2B 9a08cd23af56bcc2ed0dffe4850698be6e0bcf7c44d3eafeb250e328a93833dc3e9ce084f1be89450d1e123cd72d81c6271edfe34046d1bab3d7c10a98d0d9c5 SHA512 83474915cab0928d1d2f4229832bef7c093b2943770fa900a7445bfaa633544f50791aa8b4bc4191662af56feef166814d98eb6fad2c0a0eb9db1f8f4806e689
DIST python-gentoo-patches-3.8.6.tar.xz 10956 BLAKE2B e3241d97f886d0a37f85735102db8f00902df59ee12e8501b6c7f549dd4b26a6289bf34ff8dba02b369ed7875fad3d18e177afe9e367db4cb06f2ee908482f9e SHA512 7afa8e54f7b7e6ab35edc16d4214384b8ad8a03068d1984656876d6477b278af931e8c797d03d1bed2f10f9d58ac387db1a43921e54fb17cf4b779f33820abc0
DIST python-gentoo-patches-3.9.0-r1.tar.xz 13728 BLAKE2B 50e85194c6bafefb8a0ddc4c9dea39227fc2c170db37ab44fa1e068340fa2fc5a59489f50431f0792024df551fc54a20de594579b57717c89fa134b3f000bb6d SHA512 a38c2800e3a0740af79f75f4120c925c7a891aa1f14a71ab56ad97fbabca3573c571140da3f34050bd9f97bd854a704453a910fa6883162196e6d1335a965b61
DIST python-gentoo-patches-3.9.0rc1.tar.xz 8856 BLAKE2B 7bd032dfd047640c6a53633b5b9ee7b24199106b985230f772dda978d3b79fe0406eea64c4a842603a20afb71a90469befa7ec59a5ef1f793e4c901aa85952d1 SHA512 85a7d4397abf2a0f3c3d07a94a3e184ba3dcb347f3b70ee2cb77e81aac63846b01323a0228afd0fd1d32b3cafb64b18f82e6f5bfd88e4d564261ddae11e747eb

369
dev-lang/python/python-2.7.18-r5.ebuild

@ -0,0 +1,369 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
WANT_LIBTOOL="none"
inherit autotools flag-o-matic pax-utils python-utils-r1 toolchain-funcs
MY_P="Python-${PV}"
PYVER=$(ver_cut 1-2)
PATCHSET="python-gentoo-patches-2.7.18-r4"
DESCRIPTION="An interpreted, interactive, object-oriented programming language"
HOMEPAGE="https://www.python.org/"
SRC_URI="https://www.python.org/ftp/python/${PV}/${MY_P}.tar.xz
https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz"
S="${WORKDIR}/${MY_P}"
LICENSE="PSF-2"
SLOT="${PYVER}"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc x86"
IUSE="-berkdb bluetooth build elibc_uclibc examples gdbm hardened ipv6 libressl +ncurses +readline sqlite +ssl +threads tk +wide-unicode wininst +xml"
# Do not add a dependency on dev-lang/python to this ebuild.
# If you need to apply a patch which requires python for bootstrapping, please
# run the bootstrap code on your dev box and include the results in the
# patchset. See bug 447752.
RDEPEND="app-arch/bzip2:=
dev-libs/libffi:=
>=sys-libs/zlib-1.1.3:=
virtual/libcrypt:=
virtual/libintl
berkdb? ( || (
sys-libs/db:5.3
sys-libs/db:5.1
sys-libs/db:4.8
sys-libs/db:4.7
sys-libs/db:4.6
sys-libs/db:4.5
sys-libs/db:4.4
sys-libs/db:4.3
sys-libs/db:4.2
) )
gdbm? ( sys-libs/gdbm:=[berkdb] )
ncurses? ( >=sys-libs/ncurses-5.2:= )
readline? ( >=sys-libs/readline-4.1:= )
sqlite? ( >=dev-db/sqlite-3.3.8:3= )
ssl? (
!libressl? ( dev-libs/openssl:= )
libressl? ( dev-libs/libressl:= )
)
tk? (
>=dev-lang/tcl-8.0:=
>=dev-lang/tk-8.0:=
dev-tcltk/blt:=
dev-tcltk/tix
)
xml? ( >=dev-libs/expat-2.1:= )"
# bluetooth requires headers from bluez
DEPEND="${RDEPEND}
bluetooth? ( net-wireless/bluez )
virtual/pkgconfig
!sys-devel/gcc[libffi(-)]"
RDEPEND+="
!build? ( app-misc/mime-types )
!<=dev-lang/python-exec-2.4.6-r1"
PDEPEND=">=app-eselect/eselect-python-20140125-r1"
pkg_setup() {
if use berkdb; then
ewarn "'bsddb' module is out-of-date and no longer maintained inside"
ewarn "dev-lang/python. 'bsddb' and 'dbhash' modules have been additionally"
ewarn "removed in Python 3. A maintained alternative of 'bsddb3' module"
ewarn "is provided by dev-python/bsddb3."
else
if has_version "=${CATEGORY}/${PN}-${PV%%.*}*[berkdb]"; then
ewarn "You are migrating from =${CATEGORY}/${PN}-${PV%%.*}*[berkdb]"
ewarn "to =${CATEGORY}/${PN}-${PV%%.*}*[-berkdb]."
ewarn "You might need to migrate your databases."
fi
fi
}
src_prepare() {
# Ensure that internal copies of expat, libffi and zlib are not used.
rm -fr Modules/expat || die
rm -fr Modules/_ctypes/libffi* || die
rm -fr Modules/zlib || die
local PATCHES=(
"${WORKDIR}/${PATCHSET}"
)
default
sed -i -e "s:@@GENTOO_LIBDIR@@:$(get_libdir):g" \
Lib/distutils/command/install.py \
Lib/distutils/sysconfig.py \
Lib/site.py \
Lib/sysconfig.py \
Lib/test/test_site.py \
Makefile.pre.in \
Modules/Setup.dist \
Modules/getpath.c \
setup.py || die "sed failed to replace @@GENTOO_LIBDIR@@"
eautoreconf
}
src_configure() {
# dbm module can be linked against berkdb or gdbm.
# Defaults to gdbm when both are enabled, #204343.
local disable
use berkdb || use gdbm || disable+=" dbm"
use berkdb || disable+=" _bsddb"
# disable automagic bluetooth headers detection
use bluetooth || export ac_cv_header_bluetooth_bluetooth_h=no
use gdbm || disable+=" gdbm"
use ncurses || disable+=" _curses _curses_panel"
use readline || disable+=" readline"
use sqlite || disable+=" _sqlite3"
use ssl || export PYTHON_DISABLE_SSL="1"
use tk || disable+=" _tkinter"
use xml || disable+=" _elementtree pyexpat" # _elementtree uses pyexpat.
export PYTHON_DISABLE_MODULES="${disable}"
if ! use xml; then
ewarn "You have configured Python without XML support."
ewarn "This is NOT a recommended configuration as you"
ewarn "may face problems parsing any XML documents."
fi
if [[ -n "${PYTHON_DISABLE_MODULES}" ]]; then
einfo "Disabled modules: ${PYTHON_DISABLE_MODULES}"
fi
if [[ "$(gcc-major-version)" -ge 4 ]]; then
append-flags -fwrapv
fi
filter-flags -malign-double
# https://bugs.gentoo.org/show_bug.cgi?id=50309
if is-flagq -O3; then
is-flagq -fstack-protector-all && replace-flags -O3 -O2
use hardened && replace-flags -O3 -O2
fi
if tc-is-cross-compiler; then
# Force some tests that try to poke fs paths.
export ac_cv_file__dev_ptc=no
export ac_cv_file__dev_ptmx=yes
fi
# Export CXX so it ends up in /usr/lib/python2.X/config/Makefile.
tc-export CXX
# The configure script fails to use pkg-config correctly.
# http://bugs.python.org/issue15506
export ac_cv_path_PKG_CONFIG=$(tc-getPKG_CONFIG)
# Set LDFLAGS so we link modules with -lpython2.7 correctly.
# Needed on FreeBSD unless Python 2.7 is already installed.
# Please query BSD team before removing this!
append-ldflags "-L."
local dbmliborder
if use gdbm; then
dbmliborder+="${dbmliborder:+:}gdbm"
fi
if use berkdb; then
dbmliborder+="${dbmliborder:+:}bdb"
fi
local myeconfargs=(
# The check is broken on clang, and gives false positive:
# https://bugs.gentoo.org/596798
# (upstream dropped this flag in 3.2a4 anyway)
ac_cv_opt_olimit_ok=no
# glibc-2.30 removes it; since we can't cleanly force-rebuild
# Python on glibc upgrade, remove it proactively to give
# a chance for users rebuilding python before glibc
ac_cv_header_stropts_h=no
--with-fpectl
--enable-shared
$(use_enable ipv6)
$(use_with threads)
$(use wide-unicode && echo "--enable-unicode=ucs4" || echo "--enable-unicode=ucs2")
--infodir='${prefix}/share/info'
--mandir='${prefix}/share/man'
--with-computed-gotos
--with-dbmliborder="${dbmliborder}"
--with-libc=
--enable-loadable-sqlite-extensions
--with-system-expat
--with-system-ffi
--without-ensurepip
)
OPT="" econf "${myeconfargs[@]}"
if use threads && grep -q "#define POSIX_SEMAPHORES_NOT_ENABLED 1" pyconfig.h; then
eerror "configure has detected that the sem_open function is broken."
eerror "Please ensure that /dev/shm is mounted as a tmpfs with mode 1777."
die "Broken sem_open function (bug 496328)"
fi
}
src_compile() {
# Ensure sed works as expected
# https://bugs.gentoo.org/594768
local -x LC_ALL=C
# Avoid invoking pgen for cross-compiles.
touch Include/graminit.h Python/graminit.c
emake
# Work around bug 329499. See also bug 413751 and 457194.
if has_version dev-libs/libffi[pax_kernel]; then
pax-mark E python
else
pax-mark m python
fi
}
src_test() {
# Tests will not work when cross compiling.
if tc-is-cross-compiler; then
elog "Disabling tests due to crosscompiling."
return
fi
# Skip failing tests.
local skipped_tests="distutils gdb"
for test in ${skipped_tests}; do
mv "${S}"/Lib/test/test_${test}.py "${T}"
done
# bug 660358
local -x COLUMNS=80
# Daylight saving time problem
# https://bugs.python.org/issue22067
# https://bugs.gentoo.org/610628
local -x TZ=UTC
# Rerun failed tests in verbose mode (regrtest -w).
emake test EXTRATESTOPTS="-w" < /dev/tty
local result="$?"
for test in ${skipped_tests}; do
mv "${T}/test_${test}.py" "${S}"/Lib/test
done
elog "The following tests have been skipped:"
for test in ${skipped_tests}; do
elog "test_${test}.py"
done
elog "If you would like to run them, you may:"
elog "cd '${EPREFIX}/usr/$(get_libdir)/python${PYVER}/test'"
elog "and run the tests separately."
if [[ ${result} -ne 0 ]]; then
die "emake test failed"
fi
}
src_install() {
local libdir=${ED}/usr/$(get_libdir)/python${PYVER}
emake DESTDIR="${D}" altinstall
sed -e "s/\(LDFLAGS=\).*/\1/" -i "${libdir}/config/Makefile" || die
# Fix collisions between different slots of Python.
mv "${ED}/usr/bin/2to3" "${ED}/usr/bin/2to3-${PYVER}" || die
mv "${ED}/usr/bin/pydoc" "${ED}/usr/bin/pydoc${PYVER}" || die
mv "${ED}/usr/bin/idle" "${ED}/usr/bin/idle${PYVER}" || die
rm "${ED}/usr/bin/smtpd.py" || die
use berkdb || rm -r "${libdir}/"{bsddb,dbhash.py*,test/test_bsddb*} || die
use sqlite || rm -r "${libdir}/"{sqlite3,test/test_sqlite*} || die
use tk || rm -r "${ED}/usr/bin/idle${PYVER}" "${libdir}/"{idlelib,lib-tk} || die
use elibc_uclibc && rm -fr "${libdir}/"{bsddb/test,test}
use threads || rm -r "${libdir}<